This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 145070 - pam_timestamp_check and utmp: pam_t, initrc_var_run_t
pam_timestamp_check and utmp: pam_t, initrc_var_run_t
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 21:06 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 13:24:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-01-13 21:06:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
audit(1105668065.887:0): avc:  denied  { read write } for  pid=3803
exe=/sbin/pam_timestamp_check name=utmp dev=dm-0 ino=1168133
scontext=user_u:user_r:pam_t
tcontext=system_u:object_r:initrc_var_run_t tclass=file

audit(1105668065.887:0): avc:  denied  { lock } for  pid=3803
exe=/sbin/pam_timestamp_check path=/var/run/utmp dev=dm-0 ino=1168133
scontext=user_u:user_r:pam_t
tcontext=system_u:object_r:initrc_var_run_t tclass=file



Version-Release number of selected component (if applicable):
selinux-policy-strict-1.21.1-1

How reproducible:
Didn't try

Steps to Reproduce:
    

Additional info:
Comment 1 Daniel Walsh 2005-01-18 17:14:37 EST
Were you running in permissive mode?

Dan
Comment 2 Ivan Gyurdiev 2005-01-18 17:15:53 EST
Yes. Will retest in enforcing I suppose.
Comment 3 Ivan Gyurdiev 2005-01-20 13:24:09 EST
Closing...will reopen if I see this again
With the execmod changes that I did to various policies
I can finally run X in enforcing mode. I see surprisingly little
denials - very good..


Note You need to log in before you can comment on or make changes to this bug.